/* Estilos generales */
body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.video-container {
    position: relative;
    width: 100vw;
    height: 100vh;
    background-color: #000;
    overflow: hidden;
}

video {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.controls {
    position: absolute;
    bottom: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    transition: opacity 0.3s ease;
    opacity: 0;
}

.video-container:hover .controls {
    opacity: 1;
}

.control-btn {
    background: none;
    border: none;
    color: white;
    cursor: pointer;
    font-size: 16px;
    margin-right: 10px;
    transition: color 0.3s ease;
}

.control-btn:hover {
    color: #800080;
}

#progress-container {
    flex: 1;
    display: flex;
    align-items: center;
}

.progress-bar, #volume-bar {
    width: 100%;
    margin: 0 10px;
    -webkit-appearance: none;
    appearance: none;
    height: 5px;
    background: #800080;
    border-radius: 5px;
    outline: none;
    transition: background 0.2s ease;
}

.progress-bar::-webkit-slider-thumb, #volume-bar::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    background: #fff;
    cursor: pointer;
    border-radius: 50%;
}

.progress-bar::-moz-range-thumb, #volume-bar::-moz-range-thumb {
    width: 15px;
    height: 15px;
    background: #fff;
    cursor: pointer;
    border-radius: 50%;
}

#time-info {
    color: white;
    font-size: 12px;
}

#volume-bar {
    width: 50px;
}

.skip-intro-btn {
    position: absolute;
    bottom: 70px;
    right: 20px;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    display: none;
    cursor: pointer;
    z-index: 10;
}

#language-dropdown {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 120px;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.5);
    z-index: 1;
    bottom: 100%;
    right: 0;
    margin-bottom: 5px;
}

#language-dropdown button {
    color: white;
    padding: 12px 16px;
    text-align: left;
    text-decoration: none;
    display: block;
    background-color: #444;
    border: none;
    width: 100%;
}

#settings-button {
    background: none;
    color: white;
    border: none;
    font-size: 18px;
    transition: transform 0.3s ease;
}

.fullscreen .video-container {
    width: 100%;
    height: 100vh;
    background-color: black;
}

.fullscreen video {
    width: 100%;
    height: 100%;
}